[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONObject.GetEnumerator

Get an object enumerator

## Declaration

Source position: fpjson.pp line 689

`public function TJSONObject.GetEnumerator: TBaseJSONEnumerator; override;`

## Function result

The object enumerator

## Description

GetEnumerator is overridden in TJSONObject so it returns an object enumerator. The array enumerator will return all the elements in the array, and stores their name in the Key and index in the KeyNum members of TJSONEnum.

## See also

TJSONEnum |  | JSON enumerator loop variable type
TJSONData.GetEnumerator |  | Return an enumerator for the data